<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 9/7/2018
 * Time: 8:47 PM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if (isset($_REQUEST['token']) && isset($_REQUEST['id_empresaseguridad'])) {
        if ($Valido->checkToken($_REQUEST['token'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominioData = $Valido->retornarDatos($creadoPor);
            $empresa = $_REQUEST['id_empresaseguridad'];
            $empresas = R::findOne('empresaseguridad', 'id = ?', [$empresa]);
            include '../comun/mensajeOk.php';
            if ($empresas) {
                print_r(json_encode($empresas));
            } else {
                include '../comun/mensajeNoHayDatosParaMostrar.php';
            }
        }
    }else{
        include '../comun/mensajeFaltanCampos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}